gmp_get_system_reports_opts_t Struct Reference

Struct holding options for gmp get_system_reports command. More...

`#include <gmp.h>`

## Data Fields

const char * | name
| Name of report.
const char * | duration
| Duration.
const char * | start_time
| Time of first data point.
const char * | end_time
| Time of last data point.
const char * | slave_id
| ID of the slave to get report from.
int | brief
| Brief flag.

## Detailed Description

Struct holding options for gmp get_system_reports command.

## Field Documentation

## brief

int gmp_get_system_reports_opts_t::brief

Brief flag.

## duration

const char* gmp_get_system_reports_opts_t::duration

Duration.

## end_time

const char* gmp_get_system_reports_opts_t::end_time

Time of last data point.

## name

const char* gmp_get_system_reports_opts_t::name

Name of report.

## slave_id

const char* gmp_get_system_reports_opts_t::slave_id

ID of the slave to get report from.

## start_time

const char* gmp_get_system_reports_opts_t::start_time

Time of first data point.

The documentation for this struct was generated from the following file:

- gmp/gmp.h